For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
  • Overview
    • Quick Start
    • Sandboxes
    • Tools & SDKs
    • Support
  • Docs
    • Archive
    • Closed Beta Programs
        • API Documentation
        • Check List
        • Code Samples
        • Guiding Questions
        • Iterative Feature Development
        • API Reference
              • GETList Accounts
              • POSTCreate Account
              • GETGet Account
              • PUTUpdate Account
              • POSTCreate Account with Set Password
Dev Portal
LogoLogo
Closed Beta ProgramsPowered ByAPI ReferenceAccounts

Get Account

Beta
GET
https://api.bigcommerce.com/franchises/franchise_uuid/v1/accounts/:account_id
GET
/franchises/franchise_uuid/v1/accounts/:account_id
$curl https://api.bigcommerce.com/franchises/franchise_uuid/v1/accounts/account_id \
> -H "Accept: application/json" \
> -H "X-Auth-Client: <apiKey>"
1{
2 "data": {
3 "id": "12345678910",
4 "name": "Test Company",
5 "user_email": "test_user@admin.com",
6 "primary_contact": {
7 "first_name": "Jason",
8 "last_name": "Johnson",
9 "email": "test@here.org",
10 "district": "TX",
11 "country": "US",
12 "phone": "552-344-2344"
13 },
14 "billing_contact": {
15 "first_name": "Jason",
16 "last_name": "Johnson",
17 "email": "test@here.org",
18 "district": "TX",
19 "country": "US",
20 "phone": "552-344-2244"
21 }
22 },
23 "meta": {}
24}
This endpoint allows you to retrieve a specific account under your franchise.
Was this page helpful?
Previous

Create Account

Next

Update Account

Built with

Authentication

X-Auth-Clientstring
The client ID of the franchise API account.
OR
X-Auth-Tokenstring
An OAuth token generated from the franchise API account. To authenticate, generate an **OAuth Token** (if you donʼt have one or itʼs expired): ```http POST https://api.bigcommerce.com/franchises/{franchise_uuid}/v1/oauth/token Accept: application/json X-Auth-Client: {client_id} X-Auth-Secret: {client_secret} { "duration": 900 } ``` Response: ```json { "access_token": "dlkJcn34...Lkd012", "expires_at": "2018-04-24T16:15:26.509045122Z” } ``` After you generate an **OAuth token**, use the `client_id` and `oauth_token` to authenticate all other API requests: ```http GET https://api.bigcommerce.com/franchises/{franchise_uuid}/v1/accounts/123 Accept: application/json X-Auth-Client: {client_id} X-Auth-Token: {oauth_token} ``` Response: ```json { "data": { "id": "12345678910", "name": "Test Company", ... }, "meta": {} } ```

Path parameters

account_idstringRequired

The account ID set when the account was created. Can be retrieved through a GET request to /accounts.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Response

Success
dataobject
metaobject

Errors

401
Unauthorized Error
404
Not Found Error
502
Bad Gateway Error
503
Service Unavailable Error
504
Gateway Timeout Error

An OAuth token generated from the franchise API account.

To authenticate, generate an OAuth Token (if you donʼt have one or itʼs expired):

1POST https://api.bigcommerce.com/franchises/{franchise_uuid}/v1/oauth/token
2Accept: application/json
3X-Auth-Client: {client_id}
4X-Auth-Secret: {client_secret}
5
6{
7 "duration": 900
8}

Response:

1{
2 "access_token": "dlkJcn34...Lkd012",
3 "expires_at": "2018-04-24T16:15:26.509045122Z”
4}

After you generate an OAuth token, use the client_id and oauth_token to authenticate all other API requests:

1GET https://api.bigcommerce.com/franchises/{franchise_uuid}/v1/accounts/123
2Accept: application/json
3X-Auth-Client: {client_id}
4X-Auth-Token: {oauth_token}

Response:

1{
2 "data": {
3 "id": "12345678910",
4 "name": "Test Company",
5 ...
6 },
7 "meta": {}
8}